<?php

/*
=====================================================================

  프로젝트 이름 : 피리 웹프로그램

  만든사람 : 피리 PIREE ( piree1977@gmail.com )

  홈페이지 : www.piree.kr

  작성날짜 : 2020년 07월 24일 금요일 오전 01시 26분 - 날씨 비온후 갬, 18, 18, 22, 20 / 최고 좋음, 2, 0

  저 작 권 : Copyright ⓒ 2014-2023 피리 piree.kr All right reserved
            그누보드 외에 추가된 소스는~
            만든사람의 허락없이 무단으로 사용할수 없습니다.
            사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
            http://.piree.kr 에 문의해 주세요.

=====================================================================
 피리 > 피리 기본 관리 > 라이브러리 > 회원
=====================================================================

//*****************************************************************
//** SAM_SOSS
//*****************************************************************

*/

/*
  ▣ 작업자 : 피리 PIREE ( piree1977@gmail.com )
  ▣ 작업일시 : 2020년 07월 24일 금요일 오전 05시 23분 - 날씨 
  ▣ 작업내용 : 
*/

  IF ( !defined('_GNUBOARD_') )                  EXIT;

  function get_member_level_select__piree($fd_name, $fd_id, $start_n=0, $end_n=10, $selected="", $event="", $disabled="" )
  {

      global $g5;

      $str = "\n<select name=\"". $fd_name ."\" id=\"". $fd_id ."\"";

      IF ( $event)                               $str .= " ". $event;

      IF ( $disabled )                           $str .= " ". $disabled;

      $str .= ">\n";

      FOR( $i=$start_n; $i<=$end_n; $i++ )
      {
          $str .= '<option value="'. $i .'"';
          IF ( $i == $selected )
              $str .= ' selected="selected"';
          $str .= ">". $i ."</option>\n";
      }

      $str .= "</select>\n";

      return $str;

  }

  function reload_password($pass, $hash, $mb_id = '')
  {

      $is_ok_pass = false;

      $password = get_encrypt_string($pass);

//*****************************************************************
//** SAM_SOSS

//** 고맹이
//** 2016년 06월 27일 월요일 오후 21시 46분 - 날씨 맑음
//** 기존_비밀번호__새_방식으로__변환하여__저장하기

//*****************************************************************

      IF ( $password === $hash )
      {

          $is_ok_pass = true;

      }
      ELSE
      {

          $sql = "SELECT old_password('". $pass ."') AS pass";
          $res = sql_fetch($sql);
          $old_password = $res['pass'];

          IF ( $old_password === $hash )
          {

              global $g5;

              $is_ok_pass = true;

              $sql  = "UPDATE `". $g5['member_table'] ."` SET ";
              $sql .= "`mb_password` = '". $password  ."' ";
              $sql .= "WHERE `mb_id` = '". $mb_id ."'";

              IF ( !sql_query($sql) )
              {
                  alert("회원 아이디나 비밀번호가 틀립니다.\\n비밀번호는 대소문자를 구분합니다.");
              }

          }

      }

      return $is_ok_pass;

  }

  function check__member_level($check_level_n, $min_level_n = 2, $mem_max_level_n)
  {

      $is_ok = 0;

      IF ( !$mem_max_level_n || $mem_max_level_n < 1 )
      {

          global $config;

          $mem_max_level_n = $config['cf_mem_max_level_n'];

      }

      IF ( $check_level_n > 0 )
      {

          IF ( $check_level_n >= $min_level_n )
          {

              IF ( $check_level_n <= $mem_max_level_n )
              {

                  $is_ok = 1;

              }

          }

      }

      return $is_ok;

  }

?>